Bug 1005464 - mate-icon-theme-faenza included Trademark and non-free logo.
mate-icon-theme-faenza included Trademark and non-free logo.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-icon-theme-faenza (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2013-09-07 06:17 EDT by mejiko
Modified: 2013-09-22 20:18 EDT (History)
5 users (show)

See Also:
Fixed In Version: mate-icon-theme-faenza-1.6.1-0.1.gitc147867.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-21 04:28:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mejiko 2013-09-07 06:17:13 EDT
Hello.

mate-icon-theme-faenza included trademark'ed and non-free icons.

See: https://bugzilla.redhat.com/show_bug.cgi?id=1005176


This is trademark/copyright problem. 
Its non-free.


Suggests:

1. remove trademark'ed and non-free icons

2. replace fedora free (fedora acceptable licensed) icons.

3. remove fedora repos.


Thanks.
Comment 1 mejiko 2013-09-07 06:18:11 EDT
Blocking FE-Legal, This is Trademark/copyright problem.
Comment 2 Dan Mashal 2013-09-07 06:54:30 EDT
Exactly WHAT is trademarked?
Comment 3 mejiko 2013-09-07 08:03:02 EDT
I search and find trademark'ed/copyright'ed icon. (This is not complete results)


Files:

mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/AdobeAIR.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/AdobeReader.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/AdobeReader10.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/AdobeReader8.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/AdobeReader9.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/adobe-air.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/adobe-flashplayer.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/adobeflashplugin.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/firefox-3.0.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/firefox-3.5.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/firefox-4.0.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/firefox-original.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/firefox.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/flash-player-properties.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/flash.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/flashplayer.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/google-earth.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/google-plus.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/google.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/googleearth.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/googleplus.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/gtwitter.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/mozilla-firefox.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/mozilla-thunderbird.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/nvidia-current-settings.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/nvidia-settings.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/opera-browser.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/opera-widget-manager.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/opera-widget.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/opera.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/sun-java.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/sun-java6.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/sun-java7.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/sun-javaws.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/sun-jcontrol.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/wwwamazoncom-www.amazon.com.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/yahoo.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/youtube.svg
mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/steam.svg
mate-icon-theme-faenza-1.6.0/matefaenza/places/scalable/distributor-logo-ubuntu.svg

and more...


Thanks.
Comment 4 Dan Mashal 2013-09-07 21:38:38 EDT
Wow OK I guess we should retire/block this based on the previous bugs.
Comment 5 Wolfgang Ulbrich 2013-09-08 05:04:01 EDT
(In reply to mejiko from comment #3)
> I search and find trademark'ed/copyright'ed icon. (This is not complete
> results)
> 
> 
> Files:
> 

> mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/firefox-3.0.svg
> mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/firefox-3.5.svg
> mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/firefox-4.0.svg
> mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/firefox-original.svg
> mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/firefox.svg

> mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/mozilla-firefox.svg
> mate-icon-theme-faenza-1.6.0/matefaenza/apps/scalable/mozilla-thunderbird.svg

Are you really shure that firefox/thunderbird icons aren't free to use?
Those applications are opensource and in fedora repos.


(In reply to Dan Mashal from comment #4)
> Wow OK I guess we should retire/block this based on the previous bugs.

Why not removing those critical icons during rpm build process?
Comment 6 Dan Mashal 2013-09-08 05:34:02 EDT
(In reply to Wolfgang Ulbrich from comment #5)
> Why not removing those critical icons during rpm build process?

Seems like more work than it's worth? We'd have to know exactly what is "trademarked" and what isn't?
Comment 7 Wolfgang Ulbrich 2013-09-08 06:11:12 EDT
In my opinion only icons from applications which aren't under a opensource licence, ie. skype, google, addobe, twitter, facebook, etc. and distributor-logos are critical to use in fedora.
Comment 8 Wolfgang Ulbrich 2013-09-08 06:12:44 EDT
There is a fedora-legal mailing list to clarify those questions.
Comment 9 Wolfgang Ulbrich 2013-09-08 07:48:17 EDT
I did send an email to fedora-legal-list to clarify the situation for another theme.
https://lists.fedoraproject.org/pipermail/legal/2013-September/002235.html

@ mejiko
And again, please explain why you think icons from opensource apps which are in fedora repos are a problem for you?
Comment 10 mejiko 2013-09-08 21:13:22 EDT
(In reply to Wolfgang Ulbrich from comment #9)

> And again, please explain why you think icons from opensource apps which are
> in fedora repos are a problem for you?

Note: I am not a lawer.


If opensource app icons is not trademark'ed, Its no problem (No trademark restriction). 

If opensource app icons is trademark'ed and permit freely using trademark (Fedora acceptable trademark license requirement), Its no problem. (E.g libreoffice, Fedora, Debian, etc...)

but If opensource app icons is trademark'ed and not permit freely using trademark (Fedora unacceptable trademark license requirement), Its non-free, trademark problem. (E.g Ubuntu, Firefox, Gentoo, etc...)

Thanks.


Reference:

https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Content_Licenses
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#CodeVsContent
https://en.wikipedia.org/wiki/Mozilla_Corporation_software_rebranded_by_the_Debian_project


Trademark Guideline URI:

http://www.debian.org/trademark
https://wiki.documentfoundation.org/TDF/Policies/TradeMark_Policy
https://fedoraproject.org/wiki/Legal:Trademark_guidelines
http://www.canonical.com/intellectual-property-policy
https://www.mozilla.org/en-US/foundation/trademarks/policy/
https://www.gentoo.org/main/en/name-logo.xml
Comment 11 Wolfgang Ulbrich 2013-09-09 05:52:46 EDT
Done!
https://github.com/mate-desktop/mate-icon-theme-faenza/commit/c1478671383a3c7960714b31f2bdc480535e4f98
Dan, now it's up to you to rebuild the package with a git release.
Comment 12 Fedora Update System 2013-09-12 11:27:06 EDT
mate-icon-theme-faenza-1.6.1-0.1.gitc147867.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-icon-theme-faenza-1.6.1-0.1.gitc147867.fc19
Comment 13 Fedora Update System 2013-09-12 11:27:24 EDT
mate-icon-theme-faenza-1.6.1-0.1.gitc147867.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-icon-theme-faenza-1.6.1-0.1.gitc147867.fc20
Comment 14 Fedora Update System 2013-09-12 11:27:51 EDT
mate-icon-theme-faenza-1.6.1-0.1.gitc147867.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-icon-theme-faenza-1.6.1-0.1.gitc147867.fc18
Comment 15 Fedora Update System 2013-09-12 12:31:54 EDT
Package mate-icon-theme-faenza-1.6.1-0.1.gitc147867.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-icon-theme-faenza-1.6.1-0.1.gitc147867.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16564/mate-icon-theme-faenza-1.6.1-0.1.gitc147867.fc20
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-09-21 04:28:24 EDT
mate-icon-theme-faenza-1.6.1-0.1.gitc147867.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-09-21 04:35:20 EDT
mate-icon-theme-faenza-1.6.1-0.1.gitc147867.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-09-22 20:18:51 EDT
mate-icon-theme-faenza-1.6.1-0.1.gitc147867.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.